CREATE TABLE ap_discount_offers_assign (
    OFFER_ASSIGNMENT_ID        NUMBER(18, 0) ,
    DISCOUNT_OFFER_ID          NUMBER(18, 0)     NOT NULL,
    VENDOR_ID                  NUMBER(18, 0)     NOT NULL,
    VENDOR_TYPE_LOOKUP_CODE    VARCHAR2(120) ,
    VENDOR_SITE_ID             NUMBER(18, 0) ,
    LOCATION_ID                NUMBER(18, 0) ,
    VENDOR_CONTACT_ID          NUMBER(18, 0) ,
    EMAIL_ADDRESS              VARCHAR2(1280),
    ASSIGNMENT_ID              NUMBER(18, 0) ,
    BILL_TO_BU_ID              NUMBER(18, 0) ,
    START_DATE_ACTIVE          DATE          ,
    END_DATE_ACTIVE            DATE          ,
    DISCOUNT_RATE              NUMBER        ,
    COMMENTS                   VARCHAR2(960) ,
    IN_USE_FLAG                VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ATTRIBUTE16                VARCHAR2(600) ,
    ATTRIBUTE17                VARCHAR2(600) ,
    ATTRIBUTE18                VARCHAR2(600) ,
    ATTRIBUTE19                VARCHAR2(600) ,
    ATTRIBUTE20                VARCHAR2(600) ,
    ATTRIBUTE_DATE1            DATE          ,
    ATTRIBUTE_DATE2            DATE          ,
    ATTRIBUTE_DATE3            DATE          ,
    ATTRIBUTE_DATE4            DATE          ,
    ATTRIBUTE_DATE5            DATE          ,
    ATTRIBUTE_NUMBER1          NUMBER        ,
    ATTRIBUTE_NUMBER2          NUMBER        ,
    ATTRIBUTE_NUMBER3          NUMBER        ,
    ATTRIBUTE_NUMBER4          NUMBER        ,
    ATTRIBUTE_NUMBER5          NUMBER        ,
    ENABLED_FLAG               VARCHAR2(4)   ,
    ASSIGNMENT_TYPE_CODE       VARCHAR2(120) ,
    OFFER_ASSIGNMENT_ID        NUMBER(18, 0) ,
    DISCOUNT_OFFER_ID          NUMBER(18, 0)     NOT NULL,
    VENDOR_ID                  NUMBER(18, 0)     NOT NULL,
    VENDOR_TYPE_LOOKUP_CODE    VARCHAR2(120) ,
    VENDOR_SITE_ID             NUMBER(18, 0) ,
    LOCATION_ID                NUMBER(18, 0) ,
    VENDOR_CONTACT_ID          NUMBER(18, 0) ,
    EMAIL_ADDRESS              VARCHAR2(1280),
    ASSIGNMENT_ID              NUMBER(18, 0) ,
    BILL_TO_BU_ID              NUMBER(18, 0) ,
    START_DATE_ACTIVE          DATE          ,
    END_DATE_ACTIVE            DATE          ,
    DISCOUNT_RATE              NUMBER        ,
    COMMENTS                   VARCHAR2(960) ,
    IN_USE_FLAG                VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ATTRIBUTE16                VARCHAR2(600) ,
    ATTRIBUTE17                VARCHAR2(600) ,
    ATTRIBUTE18                VARCHAR2(600) ,
    ATTRIBUTE19                VARCHAR2(600) ,
    ATTRIBUTE20                VARCHAR2(600) ,
    ATTRIBUTE_DATE1            DATE          ,
    ATTRIBUTE_DATE2            DATE          ,
    ATTRIBUTE_DATE3            DATE          ,
    ATTRIBUTE_DATE4            DATE          ,
    ATTRIBUTE_DATE5            DATE          ,
    ATTRIBUTE_NUMBER1          NUMBER        ,
    ATTRIBUTE_NUMBER2          NUMBER        ,
    ATTRIBUTE_NUMBER3          NUMBER        ,
    ATTRIBUTE_NUMBER4          NUMBER        ,
    ATTRIBUTE_NUMBER5          NUMBER        ,
    ENABLED_FLAG               VARCHAR2(4)   ,
    ASSIGNMENT_TYPE_CODE       VARCHAR2(120) ,
    CONSTRAINT pk_ap_discount_offers_assign PRIMARY KEY (OFFER_ASSIGNMENT_ID, OFFER_ASSIGNMENT_ID)
);
